Skip to main content
GET
/
transactions
/
{transaction_hash_param}
/
logs
List event logs emitted during a specific transaction
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/transactions/{transaction_hash_param}/logs?apikey='
{
  "items": [
    {
      "address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "block_hash": "<string>",
      "block_number": 123,
      "block_timestamp": "2023-11-07T05:31:56Z",
      "data": "<string>",
      "decoded": {
        "method_call": "<string>",
        "method_id": "<string>",
        "parameters": [
          {
            "indexed": true,
            "name": "<string>",
            "type": "<string>",
            "value": {}
          }
        ]
      },
      "index": 123,
      "smart_contract": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "topics": [
        "<string>"
      ],
      "transaction_hash": "<string>"
    }
  ],
  "next_page_params": {
    "block_number": 21925703,
    "index": 124,
    "items_count": 50
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

transaction_hash_param
string
required

Transaction hash in the path

Pattern: ^0x([A-Fa-f0-9]{64})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

index
integer

Item index for paging

block_number
integer

Block number for paging

Required range: x >= 0
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

Event logs for the specified transaction, with pagination.

items
Log · object[]
required
next_page_params
object
required
Example:
{
"block_number": 21925703,
"index": 124,
"items_count": 50
}